require "buyatabwrapper/version"
require "buyatabwrapper/api"

module Buyatabwrapper
  def self.purchase_card(params)
    self.send_request(:purchase_card, params)
  end

  def self.get_merchants
    self.send_request(:get_merchants)
  end

  def self.send_request(call_type, params = {})
    api = Buyatabwrapper::API.new
    api.send_request(call_type, params)
  end
end
